<?php
/*
* Автор: Евгений
* http://bymas.ru/id17706
*/
require ('../core/sys.php');
require ('../core/head.php');
?><div class="c2">Админ панель | Новая книга</div><?
$c = $db->query("SELECT * FROM `genres` ORDER BY `id` DESC");
if(isset($_POST['name'])){
$name = htmlspecialchars(trim($_POST['name']));
$img = htmlspecialchars(trim($_POST['img']));
$about = htmlspecialchars(trim($_POST['about']));
$author = htmlspecialchars(trim($_POST['author']));
$genres = abs(intval($_POST['genres']));
$url_java = htmlspecialchars(trim($_POST['url_java']));
$url_txt = htmlspecialchars(trim($_POST['url_txt']));
if(empty($name)) $error = 'Введите название книги';
if(empty($img)) $error = 'Введите ссылку на постер книги';
if(empty($about)) $error = 'Введите описание книги';
if(empty($url_java)) $error = 'Введите ссылку на java-версию книги';
if(empty($url_txt)) $error = 'Введите ссылку на txt-версию книги';
$count_book = $db->query("SELECT `id` FROM `book`")->rowCount()+1;
if(!copy($img, '../images/poster/'.$count_book.'.png')) $error = 'Ошибка при импорте картинки!';
if(!copy($url_java, '../book/java/'.$count_book.'.jar')) $error = 'Ошибка при импорте java-книги';
if(!copy($url_txt, '../book/txt/'.$count_book.'.txt')) $error = 'Ошибка при импорте txt-книги!';
$url_img = '/images/poster/'.$count_book.'.png';
$java = '/book/java/'.$count_book.'.jar';
$txt = '/book/txt/'.$count_book.'.txt';
if(!isset($error)){
$sql = $db->prepare("INSERT INTO `book` (`name`,`about`,`img`,`genres`,`url_java`,`url_txt`,`author`) VALUES (?,?,?,?,?,?,?)");
$sql -> execute(array($name,$about,$url_img,$genres,$java,$txt,$author));
$_SESSION['result'] = 'Книга добавлена';
header('Location: ?');
exit;
}else{
$_SESSION['result'] = $error;
header('Location: ?');
exit;
}
}
?><form class="item2" action="" method="post">Название:</br><input type="text" name="name" maxlength="50" value=""/><br/> Описание: </br><input type="text" name="about" maxlength="5000" value="" /><br/>Постер:</br> <input type="text" name="img" maxlength="100" value="http://"/><br/> Автор:</br> <input type="text" name="author" maxlength="100" value=""/><br/> Ссылка на Java-книгу:</br>
<input type="text" name="url_java" maxlength="100" value="http://"/><br/> Ссылка на TXT-книгу:</br>
<input type="text" name="url_txt" maxlength="100" value="http://"/><br/> Категория:</br>
 <select name="genres"><?
while($cats = $c->fetch(PDO :: FETCH_ASSOC)){
?><option value="<?=$cats['id'];?>"><?=$cats['name'];?></option></br><?
}
?></select></br> <input type="submit" value="Добавить"></form><?
require ('../core/foot.php');
?>
